#include "descriptor/descriptor.h"

int main(void) {

  ITEM	glass,white,silver,dark,legno,muro;
  ITEM	lamp_structure,lamp_flower1,lamp_flower2,lamp_flower3,table_base,table_up,pareti,pavimento;
  ITEM	scene;

  set_background(0.676,0.861,0.953,TRUE);
  create_warn_light(0.4,-1.1e-06,-6.0,0.4,-1.1e-06,1.0,1,1,1,1.5,20,0,180,0,0,0,0,0, "flower_light1");
  create_warn_light(1.79522,-0.56119,-7.3,0.678,-0.212,-0.60,1,1,1,1.5,20,0,180,0,0,0,0,0, "flower_light2");
  create_warn_light(-3.02885,-0.4773,-10.67608,-0.94753,-0.03,-0.3,1,1,1,1.5,20,0,180,0,0,0,0,0, "flower_light3");
create_point_light(38.241,46.451,16.334,1,1,1,1.0,0,"light");

  /*** ATTRIBUTE glass ***/
  glass = create_attribute("glass");
  set_color(glass,0.68,0.86,1,0.5,0.5);
  set_reflectivity(glass,0.24,2);
  set_transparency(glass,0.87,0.68,1,1.2);

  /*** ATTRIBUTE white ***/
  white = create_attribute("white");
  set_color(white,1,1,1,0.5,0.5);
  set_reflectivity(white,0.24,2);
  set_transparency(white,0.87,0.68,1,1.2);

  /*** ATTRIBUTE silver ***/
  silver = create_attribute("silver");
  set_color(silver,0.89,0.76,0.65,0.1,0.8);
  set_reflectivity(silver,0.2,128);

  /*** ATTRIBUTE dark ***/
  dark = create_attribute("dark");
  set_color(dark,0.10,0.10,0.10,0.2,0.8);
  set_reflectivity(dark,0.17,15);

  /*** ATTRIBUTE legno ***/
  legno = create_attribute("legno");
  set_color(legno,0.6,0.3176,0.0,0.2,1);
  set_reflectivity(legno,0.1,2);

  /*** ATTRIBUTO muro ***/
  muro = create_attribute("muro");
  set_color(muro,1,1,1,0,1);
  set_reflectivity(muro,0.1,2);


  lamp_structure = read_obj("lampada.obj", "lamp_structure");
  set_translate(lamp_structure,0,0,-10);

  lamp_flower1 = read_nurbs("lamp_fiore1.db");
  set_translate(lamp_flower1,0,0,-10);

  lamp_flower2 = read_nurbs("lamp_fiore2.db");
  set_translate(lamp_flower2,0,0,-10);

  lamp_flower3 = read_nurbs("lamp_fiore3.db");
  set_translate(lamp_flower3,0,0,-10);

  table_base = read_nurbs("pianotavolo.db");
  set_translate(table_base,0,0,-10);



  table_up = read_nurbs("gambatav.db");
  set_translate(table_up,0,0,-10);

  pareti = read_obj("pareti.obj", "pareti");
  set_translate(pareti,0,0,-10);

  pavimento = read_nurbs("pavimento.db");
  set_translate(pavimento,0,0,-10);

 set_attribute(lamp_structure,silver);
 set_attribute(lamp_flower1,white);
 set_attribute(lamp_flower2,white);
 set_attribute(lamp_flower3,white);
 set_attribute(table_base,glass);
 set_attribute(table_up,dark);
 set_attribute(pavimento,legno);
 set_attribute(pareti,muro);

  scene = create_list(lamp_structure, "scene");
  scene = insert_in_list(scene,lamp_flower1);
  scene = insert_in_list(scene,lamp_flower2);
  scene = insert_in_list(scene,lamp_flower3);
  scene = insert_in_list(scene,table_base);
  scene = insert_in_list(scene,table_up);
  scene = insert_in_list(scene,pareti);
  scene = insert_in_list(scene,pavimento);

  save_scene("lampada.md","lampada",scene);
  return(0);
}
