#include "descriptor/descriptor.h"

int main(void) {

  ITEM	glass,white,silver,dark;
  ITEM	lamp_structure,lamp_flower1,lamp_flower2,lamp_flower3,table_base,table_up;
  ITEM	scene;

  set_background(0.676,0.861,0.953,TRUE);
  set_ambient_light(1,1,1,0.7);
  create_warn_light(0.42437,-0.11863,-6.40224,0.42437,-0.11863,1.40224,1,1,1,50,20,0, "flower_light1");
  create_warn_light(0.88557,-0.69575,-6.5399,0.88557,-0.69575,1.5399,1,1,1,50,20,0, "flower_light2");
  create_warn_light(-2.51345,-0.40544,-10.77159,-2.51345,-1.20544,-10.77159,1,1,1,50,20,0, "flower_light3");
  create_point_light(12,-12,9,1,1,1,4,20, "light2");
  create_point_light(2.33,-0.25,16.21,1,1,1,3.89,25, "light3");

  /*** ATTRIBUTE glass ***/
  glass = create_attribute("glass");
  set_color(glass,0.68,0.86,1,0.5,0.5);
  set_reflectivity(glass,0.24,2);
  set_transparency(glass,0.87,0.68,1,1.2);

  /*** ATTRIBUTE white ***/
  white = create_attribute("white");
  set_color(glass,1,1,1,0.3,0.7);
  set_reflectivity(glass,0,0);
  set_transparency(glass,0,0,0,1.66);

  /*** ATTRIBUTE silver ***/
  silver = create_attribute("silver");
  set_color(silver,0.89,0.76,0.65,0.1,0.8);
  set_reflectivity(silver,0.2,128);

  /*** ATTRIBUTE dark ***/
  dark = create_attribute("dark");
  set_color(dark,0.93,0.23,0.03,0.2,0.8);
  set_reflectivity(dark,0.17,15);

  lamp_structure = read_obj("lampada.obj", "lamp_structure");
  set_translate(lamp_structure,0,0,-10);

  lamp_flower1 = read_nurbs("lamp_fiore1.db");
  set_translate(lamp_flower1,0,0,-10);

  lamp_flower2 = read_nurbs("lamp_fiore2.db");
  set_translate(lamp_flower2,0,0,-10);

  lamp_flower3 = read_nurbs("lamp_fiore3.db");
  set_translate(lamp_flower3,0,0,-10);

  table_base = read_nurbs("pianotavolo.db");
  set_translate(table_base,0,0,-10);

  table_up = read_nurbs("gambatav.db");
  set_translate(table_up,0,0,-10);


 set_attribute(lamp_structure,silver);
 set_attribute(lamp_flower1,white);
 set_attribute(lamp_flower2,white);
 set_attribute(lamp_flower3,white);
 set_attribute(table_base,glass);
 set_attribute(table_up,dark);

  scene = create_list(lamp_structure, "scene");
  scene = insert_in_list(scene,lamp_flower1);
  scene = insert_in_list(scene,lamp_flower2);
  scene = insert_in_list(scene,lamp_flower3);
  scene = insert_in_list(scene,table_base);
  scene = insert_in_list(scene,table_up);

  save_scene("lampada.md","lampada",scene);
  return(0);
}
